# OnApplicationStopping class final

Annotation to mark a method that should run when the application is stopping.

This is useful for cleaning up resources, shutting down services, and gracefully preparing for application exit.

### Example

    class MyApp {
      @OnApplicationStopping()
      void cleanup() {
        print("Cleaning up resources before shutdown...");
      }
    }

Inheritance
  - Object
  - ReflectableAnnotation
  - OnApplicationStopping
Annotations
  - @Target({TargetKind.method})

## Constructors

OnApplicationStopping.new()
  Annotation to mark a method that should run when the application is stopping.
  const

## Properties

annotationType → Type
  Returns the annotation _type of this annotation.
  no setter override
hashCode → int
  Returns a hash code consistent with equality definition.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

equals(Object other) → bool
  Checks whether the given object is logically equivalent to this annotation.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  Returns a string representation of this annotation.
  inherited

## Operators

operator ==(Object other) → bool
  Checks if this annotation is equal to another object.
  inherited